PROJ	= spectrum
LIBS	=  -lm
CFLAGS  = -c -O
LFLAGS  = 
CC	= gcc
#
#
OBJS = spectrum.o fft.o fftmod.o matrix.o rtiff.o wtiff.o

all: $(PROJ)

$(PROJ): $(OBJS)
	$(CC) $(LFLAGS) -o $(PROJ) $(OBJS) $(LIBS)

$(OBJS): %.o: %.c
	$(CC) $(CFLAGS) $< -o $@

install:
	@echo "Installing $(PROJ)..."
	cp $(PROJ) $(HOME)/bin
	( cd $(HOME)/bin); chmod a+rx $(PROJ) )
	@echo "done"

clean:
	rm -f  *.o  $(PROJ)


